    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025     * Other names may be trademarks of their respective owners.]
    026     *
    027     * -------------------
    028     * TickUnitSource.java
    029     * -------------------
    030     * (C) Copyright 2003-2008, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes
    036     * -------
    037     * 23-Sep-2003 : Version 1 (DG);
    038     *
    039     */
    040
    041    package org.jfree.chart.axis;
    042
    043    /**
    044     * An interface used by the {@link DateAxis} and {@link NumberAxis} classes to
    045     * obtain a suitable {@link TickUnit}.
    046     */
    047    public interface TickUnitSource {
    048
    049        /**
    050         * Returns a tick unit that is larger than the supplied unit.
    051         *
    052         * @param unit   the unit.
    053         *
    054         * @return A tick unit that is larger than the supplied unit.
    055         */
    056        public TickUnit getLargerTickUnit(TickUnit unit);
    057
    058        /**
    059         * Returns the tick unit in the collection that is greater than or equal
    060         * to (in size) the specified unit.
    061         *
    062         * @param unit  the unit.
    063         *
    064         * @return A unit from the collection.
    065         */
    066        public TickUnit getCeilingTickUnit(TickUnit unit);
    067
    068        /**
    069         * Returns the tick unit in the collection that is greater than or equal
    070         * to the specified size.
    071         *
    072         * @param size  the size.
    073         *
    074         * @return A unit from the collection.
    075         */
    076        public TickUnit getCeilingTickUnit(double size);
    077
    078    }